EDIT - bug #6323

LIE during request to name_catalogue/taxon.json
01/11/2017 09:45 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 4.5

Severity: critical Found in Version:

Description

http://api.cybertaxonomy.org/col/name_catalogue/taxon.json?taxonUuid=19338fc3-dbd5-4bda-8cb3-8da76151f8c4

Caused by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of
role: eu.etaxonomy.cdm.model.taxon.Taxon.synonyms, could not initialize proxy - no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection.java:567)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:205)

at org.hibernate.collection.internal.AbstractPersistentCollection.initialize (AbstractPersisten
tCollection. java:546)

at org.hibernate.collection.internal.AbstractPersistentCollection.read (AbstractPersistentColle
ction.java:133)

at org.hibernate.collection.internal.PersistentSet.iterator (PersistentSet. java:163)

at eu.etaxonomy.cdm.remote.controller.dto.NameCatalogueController.doGetTaxonInformation (NameCa
talogueController. java:862)

at sun.reflect.GeneratedMethodAccessorl5317.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke (InvocableHandlerMeth
od. java:222)

at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest (InvocableHan
dlerMethod. java:137)

at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeA
ndHandle (ServletInvocableHandlerMethod. java:110)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHa
ndlerMethod (RequestMappingHandlerAdapter. java:814)

at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handlelIn
ternal (RequestMappingHandlerAdapter. java:737)

at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle (AbstractHand
lerMethodAdapter. java:85)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:969)

Related issues:
Related to EDIT - feature request #5974: Remove synonym relationships Closed

Associated revisions

Revision 04a88dbc - 01/11/2017 12:44 PM - Andreas Kohlbecker
fix #6323 adding missing bean init path missing after ref #5974

History

#1-01/11/2017 12:09 PM - Andreas Kohlbecker

- Related to feature request #5974: Remove synonym relationships added

#2 - 01/11/2017 12:09 PM - Andreas Kohlbecker
This bug has been caused by the changes applied through #5974
http://api.cybertaxonomy.org/col/name_catalogue/taxon.json?taxonUuid=19338fc3-dbd5-4bda-8cb3-8da76151f8c4
https://dev.e-taxonomy.eu/redmine/issues/5974

#3 - 01/11/2017 12:44 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|04a88dbc1f00111e4cb3dfee0b1d940dffdb5bf6.

#4 - 01/19/2017 03:46 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
